circle-fe-term v0.240250 Perl 5 v5.16.3 amd64-freebsd-thread-multi

Status
Na
From
Slaven Rezić
Dist
circle-fe-term v0.240250
Platform
Perl 5 v5.16.3 amd64-freebsd-thread-multi
Date
2024-01-26T12:55:41
ID
35d34f74-bc4a-11ee-914f-d8326e8775ea
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Paul Evans,

This is a computer-generated report for circle-fe-term-0.240250
on perl 5.16.3, created by CPAN-Reporter-1.2019.

Thank you for uploading your work to CPAN.  While attempting to build or test
this distribution, the distribution signaled that support is not available
either for this operating system or this version of Perl.  Nevertheless, any
diagnostic output produced is provided below for reference.  If this is not
what you expect, you may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/perl5.16.3t/bin/perl Build.PL':

Checking prerequisites...
  requires:
    !  Object::Pad (0.20) is installed, but we need version >= 0.800
    !  Tickit::App::Plugin::EscapePrefix is not installed
    !  Tickit::Async is not installed
    !  Tickit::Widget::Entry::Plugin::Completion is not installed
    !  Tickit::Widget::Tabbed (0.019) is installed, but we need version >= 0.028
    !  perl (5.16.3) is installed, but we need version >= 5.026

ERRORS/WARNINGS FOUND IN PREREQUISITES.  You may wish to install the versions
of the modules indicated above before proceeding with this installation

Created MYMETA.yml and MYMETA.json
Creating new 'Build' script for 'circle-fe-term' version '0.240250'

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module                                    Need     Have    
    ----------------------------------------- -------- --------
    Convert::Color                            0.06     0.17    
    Convert::Color::XTerm                     0        0.06    
    File::ShareDir                            1.00     1.118   
    IO::Async                                 0.14     0.802   
    Net::Async::Tangence::Client              0.15     0.16    
  ! Object::Pad                               0.800    broken  
  ! perl                                      5.026    5.016003
    String::Tagged                            0        0.15    
    Syntax::Keyword::Match                    0        0.09    
    Tangence::ObjectProxy                     0.20_001 0.26    
    Text::Balanced                            0        2.06    
    Tickit                                    0.55     0.61    
  ! Tickit::App::Plugin::EscapePrefix         0        n/a     
  ! Tickit::Async                             0.21     n/a     
    Tickit::Event                             0.58     0.61    
    Tickit::Style                             0.40     0.51    
    Tickit::Term                              0.27     0.61    
    Tickit::Widget::Entry                     0.20     0.26    
  ! Tickit::Widget::Entry::Plugin::Completion 0        n/a     
    Tickit::Widget::HBox                      0.32     0.46    
    Tickit::Widget::Scroller                  0.15     0.21    
  ! Tickit::Widget::Tabbed                    0.028    0.019   
    Tickit::Widget::VBox                      0.31     0.46    
    Tickit::Window                            0.42     0.61    


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LC_ALL = de_DE.ISO8859-1
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/freebsd9.3:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/usr/home/eserte/src/srezic-misc/scripts
    PERL = /usr/perl5.16.3t/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/var/tmp/cpansmoker-1023/2024012613/CPAN-Reporter-lib-8yov -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 45859
    PERL5_CPAN_IS_EXECUTING = 
    PERL5_CPAN_IS_RUNNING = 45859
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 45623,45859
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_AUTOINSTALL = --defaultdeps
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2024012613/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/local/bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2024012613

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /usr/perl5.16.3t/bin/perl
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.36    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280236
    ExtUtils::Command   7.70    
    ExtUtils::Install   2.22    
    ExtUtils::MakeMaker 7.70    
    ExtUtils::Manifest  1.75    
    ExtUtils::ParseXS   3.51    
    File::Spec          3.75    
    JSON                4.10    
    JSON::PP            4.16    
    Module::Build       0.4234  
    Module::Signature   0.88    
    Parse::CPAN::Meta   2.150010
    Test2               1.302198
    Test::Harness       3.47    
    Test::More          1.302198
    YAML                1.30    
    YAML::Syck          1.34    
    version             0.9929  


--

Summary of my perl5 (revision 5 version 16 subversion 3) configuration:
   
  Platform:
    osname=freebsd, osvers=9.2-release-p4, archname=amd64-freebsd-thread-multi
    uname='freebsd cvrsnica-freebsd-92 9.2-release-p4 freebsd 9.2-release-p4 #0: tue apr 8 18:08:22 utc 2014 root@amd64-builder.daemonology.net:usrobjusrsrcsysgeneric amd64 '
    config_args='-ds -e -Dprefix=/usr/perl5.16.3t -Dusethreads'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=define, usemultiplicity=define
    useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include',
    optimize='-O',
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.2.1 20070831 patched [FreeBSD]', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-pthread -Wl,-E  -fstack-protector -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib
    libs=-lgdbm -lm -lcrypt
    perllibs=-lm -lcrypt
    libc=, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-DPIC -fPIC', lddlflags='-shared  -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES MULTIPLICITY PERLIO_LAYERS
                        PERL_DONT_CREATE_GVSV PERL_IMPLICIT_CONTEXT
                        PERL_MALLOC_WRAP PERL_PRESERVE_IVUV USE_64_BIT_ALL
                        USE_64_BIT_INT USE_ITHREADS USE_LARGE_FILES
                        USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_PERLIO USE_PERL_ATOF
                        USE_REENTRANT_API
  Built under freebsd
  Compiled at May 16 2014 07:49:48
  %ENV:
    PERL="/usr/perl5.16.3t/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="45859"
    PERL5_CPAN_IS_EXECUTING=""
    PERL5_CPAN_IS_RUNNING="45859"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="45623,45859"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2024012613/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /usr/perl5.16.3t/lib/site_perl/5.16.3/amd64-freebsd-thread-multi
    /usr/perl5.16.3t/lib/site_perl/5.16.3
    /usr/perl5.16.3t/lib/5.16.3/amd64-freebsd-thread-multi
    /usr/perl5.16.3t/lib/5.16.3
    .